Retrieve task
curl --request GET \
--url https://gengen.farm/api/gengen/v1/z-images/generations/zimage%3A550e8400-e29b-41d4-a716-446655440000 \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx'import requests
url = "https://gengen.farm/api/gengen/v1/z-images/generations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/z-images/generations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "zimage:550e8400-e29b-41d4-a716-446655440000",
"model": "z-image-spicy",
"status": "succeeded",
"outputs": {
"images": [
"https://example.com/z-image/result_000.png"
]
},
"createdAt": "2026-06-18T08:00:00.000Z",
"updatedAt": "2026-06-18T08:01:30.000Z",
"statusUpdateTime": "2026-06-18T08:01:30.000Z"
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Image API
Retrieve a z-image task
Retrieve status and image outputs for a z-image task.
GET
/
z-images
/
generations
/
{id}
Retrieve task
curl --request GET \
--url https://gengen.farm/api/gengen/v1/z-images/generations/zimage%3A550e8400-e29b-41d4-a716-446655440000 \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx'import requests
url = "https://gengen.farm/api/gengen/v1/z-images/generations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/z-images/generations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "zimage:550e8400-e29b-41d4-a716-446655440000",
"model": "z-image-spicy",
"status": "succeeded",
"outputs": {
"images": [
"https://example.com/z-image/result_000.png"
]
},
"createdAt": "2026-06-18T08:00:00.000Z",
"updatedAt": "2026-06-18T08:01:30.000Z",
"statusUpdateTime": "2026-06-18T08:01:30.000Z"
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Authorizations
A workspace API key beginning with gengen_live_.
Path Parameters
Public task ID beginning with zimage:. URL-encode it in the path.